# -*- makefile -*-
#-------------------------------------------------------------------------
#       GNU ACE Workspace
#
# GNUACEWorkspaceCreator.pm,v 1.39 2006/06/06 17:14:55 elliott_c Exp
#
# This file was generated by MPC.  Any changes made directly to
# this file will be lost the next time it is generated.
#
# MPC Command:
# bin/mwc.pl -exclude TAO/TAO_*.mwc,TAO/CIAO/CIAO_*.mwc -recurse -hierarchy -relative ACE_ROOT=/tmp/ACE_wrappers_stage-15508/ACE_wrappers
#
#-------------------------------------------------------------------------
MAKEFILE = GNUmakefile

ifeq ($(findstring k,$(MAKEFLAGS)),k)
  KEEP_GOING = -
endif

include $(ACE_ROOT)/include/makeinclude/macros.GNU

all: Send_Msg_Receiver Send_Msg_Sender
REMAINING_TARGETS := $(subst all, , $(TARGETS_NESTED:.nested=)) $(CUSTOM_TARGETS)

$(REMAINING_TARGETS):
	@cd RMCast/Send_Msg && $(MAKE) -f GNUmakefile.Send_Msg_Receiver $(@)
	@cd RMCast/Send_Msg && $(MAKE) -f GNUmakefile.Send_Msg_Sender $(@)

.PHONY: Send_Msg_Receiver
Send_Msg_Receiver:
	@cd RMCast/Send_Msg && $(MAKE) -f GNUmakefile.Send_Msg_Receiver all

.PHONY: Send_Msg_Sender
Send_Msg_Sender:
	@cd RMCast/Send_Msg && $(MAKE) -f GNUmakefile.Send_Msg_Sender all

project_name_list:
	@echo Send_Msg_Receiver
	@echo Send_Msg_Sender
